package aes

import "strings"
import "strconv"
//import "fmt"

type Effect int
type Effects []Effect
func (effects Effects) Format() string {
	intStrs := make([]string, len(effects))
	for i, e := range effects {
		intStrs[i] = strconv.Itoa(int(e))
	}
	return strings.Join(intStrs, ";")
}

const (
	EffectReset Effect = iota
	EffectBold
	EffectDim
	EffectItalic
	EffectUnderline
	EffectBlinking
)

const (
	EffectInverse Effect = 7 + iota
	EffectHidden
	// Effect strikethrough.
	EffectStirke
)

const (
	EffectBlackFG = 30 + iota
	EffectRedFG
	EffectGreenFG
	EffectYellowFG
	EffectBlueFG
	EffectMagentaFG
	EffectCyanFG
	EffectWhiteFG
	EffectDefaultFG
)

const (
	EffectBlackBG Effect = 40 + iota
	EffectRedBG
	EffectGreenBG
	EffectYellowBG
	EffectBlueBG
	EffectMagentaBG
	EffectCyanBG
	EffectWhiteBG
	EffectDefaultBG
)


